var path = require('path');

var _require = require('@s-ui/helpers/packages'),
    getPackageJson = _require.getPackageJson;

var _getPackageJson = getPackageJson(process.cwd()),
    _getPackageJson$confi = _getPackageJson.config,
    config = _getPackageJson$confi === void 0 ? {} : _getPackageJson$confi;

var _config$suiTest = config['sui-test'],
    suiTestConfig = _config$suiTest === void 0 ? {} : _config$suiTest,
    _config$suiBundler = config['sui-bundler'],
    suiBundlerConfig = _config$suiBundler === void 0 ? {} : _config$suiBundler;
var _suiTestConfig$client = suiTestConfig.client,
    clientConfig = _suiTestConfig$client === void 0 ? {} : _suiTestConfig$client,
    _suiTestConfig$e2e = suiTestConfig.e2e,
    e2eConfig = _suiTestConfig$e2e === void 0 ? {} : _suiTestConfig$e2e,
    _suiTestConfig$server = suiTestConfig.server,
    serverConfig = _suiTestConfig$server === void 0 ? {} : _suiTestConfig$server;
var _suiBundlerConfig$ali = suiBundlerConfig.alias,
    suiBundlerAliases = _suiBundlerConfig$ali === void 0 ? {} : _suiBundlerConfig$ali;

var absolutePath = function absolutePath(aliases) {
  return Object.keys(aliases).reduce(function (acc, key) {
    // {"@adv-ui/literals": "./literals"} -> {"@adv-ui/literals": "/Users/myUser/project/literals"}
    acc[key] = path.resolve(path.join(process.env.PWD, aliases[key]));
    return acc;
  }, {});
};

module.exports = {
  clientConfig: clientConfig,
  e2eConfig: e2eConfig,
  serverConfig: serverConfig,
  aliases: absolutePath(suiBundlerAliases)
};